Subject: [dnsext] draft-ah-dnsext-rfc1995bis-ixfr-03 -- questions on s3.2.3

From: Alfred Hönes <[email-masked]>
Date: Fri, 9 Mar 2012 20:00:31 +0100 (MEZ)

Folks -- in particular implementers,

A point has been raised, and for qualified action, the draft authors
need more information and opinions on this part of the draft:

|3.2.  IXFR Response
|
|[...]
|
|3.2.3.  Answer Section
|
|  The Answer section MUST be populated with the zone change information
|  or, in the case of fallback to AXFR, the full zone contents.
|
|  For multi-message IXFR responses, the conceptional answer is split
|  into segments that are sent in order.  Each segment is comprised of
|> an integer number of full RRs, and for transport efficiency, the
|> response messages should be filled up with answer RRs as much as
                     ^^^^^^
|> possible for the response message size chosen by the IXFR server,
|> taking into account the space needed for the other sections in the
|> messages.
|
|   [...]

Questions:

a)  Does the behavior described in the emphasized sentence  make
    sense, given the optimisation goals underlying the IXFR design ?

b)  Do existing implementations follow this direction ?

c)  Shall we replace the tagged "should" by a "SHOULD",
    to make the recommendation even stronger ?

Kind regards,
  Alfred.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+

_______________________________________________
dnsext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dnsext